diff --git a/base/server/python/pki/server/deployment/scriptlets/configuration.py b/base/server/python/pki/server/deployment/scriptlets/configuration.py
index 465ccc56ea1c178e1055244e3dae32642af82203..78ec9ba8048401183db0120609ba358042d9e6a5 100644
--- a/base/server/python/pki/server/deployment/scriptlets/configuration.py
+++ b/base/server/python/pki/server/deployment/scriptlets/configuration.py
@@ -38,10 +38,10 @@ class PkiScriptlet(pkiscriptlet.AbstractBasePkiScriptlet):
         # ALWAYS establish the following Tomcat instance symbolic link since
         # this link is required by both automatic pkispawn instance
         # configuration as well as manual browser GUI instance configuration
-        deployer.symlink.create(deployer.master_dict['pki_systemd_service'],
-                                deployer.master_dict['pki_systemd_service_link'])
+        deployer.symlink.create(deployer.mdict['pki_systemd_service'],
+                                deployer.mdict['pki_systemd_service_link'])
 
-        if config.str2bool(deployer.master_dict['pki_skip_configuration']):
+        if config.str2bool(deployer.mdict['pki_skip_configuration']):
             config.pki_log.info(log.SKIP_CONFIGURATION_SPAWN_1, __name__,
                                 extra=config.PKI_INDENTATION_LEVEL_1)
             return self.rv
@@ -50,7 +50,8 @@ class PkiScriptlet(pkiscriptlet.AbstractBasePkiScriptlet):
 
         # Place "slightly" less restrictive permissions on
         # the top-level client directory ONLY
-        deployer.directory.create(deployer.master_dict['pki_client_subsystem_dir'],
+        deployer.directory.create(
+            deployer.mdict['pki_client_subsystem_dir'],
             uid=0, gid=0,
             perms=config.PKI_DEPLOYMENT_DEFAULT_CLIENT_DIR_PERMISSIONS)
         # Since 'certutil' does NOT strip the 'token=' portion of
@@ -58,39 +59,41 @@ class PkiScriptlet(pkiscriptlet.AbstractBasePkiScriptlet):
         # which ONLY contains the 'password' for the purposes of
         # allowing 'certutil' to generate the security databases
         deployer.password.create_password_conf(
-            deployer.master_dict['pki_client_password_conf'],
-            deployer.master_dict['pki_client_database_password'], pin_sans_token=True)
-        deployer.file.modify(deployer.master_dict['pki_client_password_conf'],
-                         uid=0, gid=0)
+            deployer.mdict['pki_client_password_conf'],
+            deployer.mdict['pki_client_database_password'], pin_sans_token=True)
+        deployer.file.modify(
+            deployer.mdict['pki_client_password_conf'],
+            uid=0, gid=0)
         # Similarly, create a simple password file containing the
         # PKCS #12 password used when exporting the "Admin Certificate"
         # into a PKCS #12 file
         deployer.password.create_client_pkcs12_password_conf(
-            deployer.master_dict['pki_client_pkcs12_password_conf'])
-        deployer.file.modify(deployer.master_dict['pki_client_pkcs12_password_conf'])
-        deployer.directory.create(deployer.master_dict['pki_client_database_dir'],
-                              uid=0, gid=0)
+            deployer.mdict['pki_client_pkcs12_password_conf'])
+        deployer.file.modify(deployer.mdict['pki_client_pkcs12_password_conf'])
+        deployer.directory.create(
+            deployer.mdict['pki_client_database_dir'],
+            uid=0, gid=0)
         deployer.certutil.create_security_databases(
-            deployer.master_dict['pki_client_database_dir'],
-            deployer.master_dict['pki_client_cert_database'],
-            deployer.master_dict['pki_client_key_database'],
-            deployer.master_dict['pki_client_secmod_database'],
-            password_file=deployer.master_dict['pki_client_password_conf'])
+            deployer.mdict['pki_client_database_dir'],
+            deployer.mdict['pki_client_cert_database'],
+            deployer.mdict['pki_client_key_database'],
+            deployer.mdict['pki_client_secmod_database'],
+            password_file=deployer.mdict['pki_client_password_conf'])
 
         # Start/Restart this Apache/Tomcat PKI Process
-        if deployer.master_dict['pki_subsystem'] in config.PKI_APACHE_SUBSYSTEMS:
+        if deployer.mdict['pki_subsystem'] in config.PKI_APACHE_SUBSYSTEMS:
             apache_instance_subsystems = \
                 deployer.instance.apache_instance_subsystems()
             if apache_instance_subsystems == 1:
                 deployer.systemd.start()
             elif apache_instance_subsystems > 1:
                 deployer.systemd.restart()
-        elif deployer.master_dict['pki_subsystem'] in config.PKI_TOMCAT_SUBSYSTEMS:
+        elif deployer.mdict['pki_subsystem'] in config.PKI_TOMCAT_SUBSYSTEMS:
             # Optionally prepare to enable a java debugger
             # (e. g. - 'eclipse'):
-            if config.str2bool(deployer.master_dict['pki_enable_java_debugger']):
+            if config.str2bool(deployer.mdict['pki_enable_java_debugger']):
                 config.prepare_for_an_external_java_debugger(
-                    deployer.master_dict['pki_target_tomcat_conf_instance_id'])
+                    deployer.mdict['pki_target_tomcat_conf_instance_id'])
             tomcat_instance_subsystems = \
                 len(deployer.instance.tomcat_instance_subsystems())
             if tomcat_instance_subsystems == 1:
@@ -100,28 +103,30 @@ class PkiScriptlet(pkiscriptlet.AbstractBasePkiScriptlet):
 
         # wait for startup
         status = deployer.instance.wait_for_startup(60)
-        if status == None:
-            config.pki_log.error("server failed to restart",
-                    extra=config.PKI_INDENTATION_LEVEL_2)
+        if status is None:
+            config.pki_log.error(
+                "server failed to restart",
+                extra=config.PKI_INDENTATION_LEVEL_2)
             raise Exception("server failed to restart")
 
         # Optionally wait for debugger to attach (e. g. - 'eclipse'):
-        if config.str2bool(deployer.master_dict['pki_enable_java_debugger']):
+        if config.str2bool(deployer.mdict['pki_enable_java_debugger']):
             config.wait_to_attach_an_external_java_debugger()
 
         # Construct PKI Subsystem Configuration Data
         data = None
-        if deployer.master_dict['pki_instance_type'] == "Apache":
-            if deployer.master_dict['pki_subsystem'] == "RA":
-                config.pki_log.info(log.PKI_CONFIG_NOT_YET_IMPLEMENTED_1,
-                    deployer.master_dict['pki_subsystem'],
+        if deployer.mdict['pki_instance_type'] == "Apache":
+            if deployer.mdict['pki_subsystem'] == "RA":
+                config.pki_log.info(
+                    log.PKI_CONFIG_NOT_YET_IMPLEMENTED_1,
+                    deployer.mdict['pki_subsystem'],
                     extra=config.PKI_INDENTATION_LEVEL_2)
                 return self.rv
-        elif deployer.master_dict['pki_instance_type'] == "Tomcat":
+        elif deployer.mdict['pki_instance_type'] == "Tomcat":
             # CA, KRA, OCSP, TKS, or TPS
             data = deployer.config_client.construct_pki_configuration_data()
 
-        # Configure the substem
+        # Configure the subsystem
         deployer.config_client.configure_pki_data(
             json.dumps(data, cls=pki.encoder.CustomTypeEncoder))
 
@@ -131,14 +136,14 @@ class PkiScriptlet(pkiscriptlet.AbstractBasePkiScriptlet):
 
         config.pki_log.info(log.CONFIGURATION_DESTROY_1, __name__,
                             extra=config.PKI_INDENTATION_LEVEL_1)
-        if deployer.master_dict['pki_subsystem'] in config.PKI_APACHE_SUBSYSTEMS and\
+        if deployer.mdict['pki_subsystem'] in config.PKI_APACHE_SUBSYSTEMS and\
            deployer.instance.apache_instance_subsystems() == 1:
-            if deployer.directory.exists(deployer.master_dict['pki_client_dir']):
-                deployer.directory.delete(deployer.master_dict['pki_client_dir'])
-            deployer.symlink.delete(deployer.master_dict['pki_systemd_service_link'])
-        elif deployer.master_dict['pki_subsystem'] in config.PKI_TOMCAT_SUBSYSTEMS and\
-             len(deployer.instance.tomcat_instance_subsystems()) == 1:
-            if deployer.directory.exists(deployer.master_dict['pki_client_dir']):
-                deployer.directory.delete(deployer.master_dict['pki_client_dir'])
-            deployer.symlink.delete(deployer.master_dict['pki_systemd_service_link'])
+            if deployer.directory.exists(deployer.mdict['pki_client_dir']):
+                deployer.directory.delete(deployer.mdict['pki_client_dir'])
+            deployer.symlink.delete(deployer.mdict['pki_systemd_service_link'])
+        elif deployer.mdict['pki_subsystem'] in config.PKI_TOMCAT_SUBSYSTEMS \
+                and len(deployer.instance.tomcat_instance_subsystems()) == 1:
+            if deployer.directory.exists(deployer.mdict['pki_client_dir']):
+                deployer.directory.delete(deployer.mdict['pki_client_dir'])
+            deployer.symlink.delete(deployer.mdict['pki_systemd_service_link'])
         return self.rv
diff --git a/base/server/python/pki/server/deployment/scriptlets/finalization.py b/base/server/python/pki/server/deployment/scriptlets/finalization.py
index 5186baa402a6862ae3930a217769f03078796cc3..900bcef9755f1bae24dd4a44b1bda12b2d42dc89 100644
--- a/base/server/python/pki/server/deployment/scriptlets/finalization.py
+++ b/base/server/python/pki/server/deployment/scriptlets/finalization.py
@@ -32,15 +32,15 @@ class PkiScriptlet(pkiscriptlet.AbstractBasePkiScriptlet):
 
     def spawn(self, deployer):
 
-        if (deployer.master_dict['pki_subsystem'] == "CA" or
-            config.str2bool(deployer.master_dict['pki_standalone'])) and\
-           config.str2bool(deployer.master_dict['pki_external_step_two']):
+        if (deployer.mdict['pki_subsystem'] == "CA" or
+            config.str2bool(deployer.mdict['pki_standalone'])) and\
+           config.str2bool(deployer.mdict['pki_external_step_two']):
             # For External CAs (Step 2), or Stand-alone PKIs (Step 2),
             # must check for (Step 2) installation PRIOR to
             # 'pki_skip_installation' since this value has been set to true
             # by the initialization scriptlet
             pass
-        elif config.str2bool(deployer.master_dict['pki_skip_installation']):
+        elif config.str2bool(deployer.mdict['pki_skip_installation']):
             config.pki_log.info(log.SKIP_FINALIZATION_SPAWN_1, __name__,
                                 extra=config.PKI_INDENTATION_LEVEL_1)
             return self.rv
@@ -48,24 +48,24 @@ class PkiScriptlet(pkiscriptlet.AbstractBasePkiScriptlet):
                             extra=config.PKI_INDENTATION_LEVEL_1)
         # For debugging/auditing purposes, save a timestamped copy of
         # this configuration file in the subsystem archive
-        deployer.file.copy(deployer.master_dict['pki_user_deployment_cfg_replica'],
-                       deployer.master_dict['pki_user_deployment_cfg_spawn_archive'])
+        deployer.file.copy(deployer.mdict['pki_user_deployment_cfg_replica'],
+                       deployer.mdict['pki_user_deployment_cfg_spawn_archive'])
         # Save a copy of the installation manifest file
-        config.pki_log.info(log.PKI_MANIFEST_MESSAGE_1, deployer.master_dict['pki_manifest'],
+        config.pki_log.info(log.PKI_MANIFEST_MESSAGE_1, deployer.mdict['pki_manifest'],
                             extra=config.PKI_INDENTATION_LEVEL_2)
         # for record in manifest.database:
         #     print tuple(record)
         manifest_file = manifest.File(deployer.manifest_db)
-        manifest_file.register(deployer.master_dict['pki_manifest'])
+        manifest_file.register(deployer.mdict['pki_manifest'])
         manifest_file.write()
-        deployer.file.modify(deployer.master_dict['pki_manifest'], silent=True)
+        deployer.file.modify(deployer.mdict['pki_manifest'], silent=True)
 
         # Also, for debugging/auditing purposes, save a timestamped copy of
         # this installation manifest file
-        deployer.file.copy(deployer.master_dict['pki_manifest'],
-                       deployer.master_dict['pki_manifest_spawn_archive'])
+        deployer.file.copy(deployer.mdict['pki_manifest'],
+                       deployer.mdict['pki_manifest_spawn_archive'])
         # Optionally, programmatically 'restart' the configured PKI instance
-        if config.str2bool(deployer.master_dict['pki_restart_configured_instance']):
+        if config.str2bool(deployer.mdict['pki_restart_configured_instance']):
             deployer.systemd.restart()
         # Optionally, 'purge' the entire temporary client infrastructure
         # including the client NSS security databases and password files
@@ -74,35 +74,35 @@ class PkiScriptlet(pkiscriptlet.AbstractBasePkiScriptlet):
         #               placed under this infrastructure, it may accidentally
         #               be deleted!
         #
-        if config.str2bool(deployer.master_dict['pki_client_database_purge']):
-            if deployer.directory.exists(deployer.master_dict['pki_client_subsystem_dir']):
-                deployer.directory.delete(deployer.master_dict['pki_client_subsystem_dir'])
+        if config.str2bool(deployer.mdict['pki_client_database_purge']):
+            if deployer.directory.exists(deployer.mdict['pki_client_subsystem_dir']):
+                deployer.directory.delete(deployer.mdict['pki_client_subsystem_dir'])
         # If instance has not been configured, print the
         # configuration URL to the log
-        if config.str2bool(deployer.master_dict['pki_skip_configuration']):
+        if config.str2bool(deployer.mdict['pki_skip_configuration']):
             deployer.configuration_file.log_configuration_url()
         # Log final process messages
         config.pki_log.info(log.PKISPAWN_END_MESSAGE_2,
-                            deployer.master_dict['pki_subsystem'],
-                            deployer.master_dict['pki_instance_name'],
+                            deployer.mdict['pki_subsystem'],
+                            deployer.mdict['pki_instance_name'],
                             extra=config.PKI_INDENTATION_LEVEL_0)
-        deployer.file.modify(deployer.master_dict['pki_spawn_log'], silent=True)
+        deployer.file.modify(deployer.mdict['pki_spawn_log'], silent=True)
         return self.rv
 
     def destroy(self, deployer):
 
         config.pki_log.info(log.FINALIZATION_DESTROY_1, __name__,
                             extra=config.PKI_INDENTATION_LEVEL_1)
-        deployer.file.modify(deployer.master_dict['pki_destroy_log'], silent=True)
+        deployer.file.modify(deployer.mdict['pki_destroy_log'], silent=True)
         # Start this Apache/Tomcat PKI Process
-        if deployer.master_dict['pki_subsystem'] in config.PKI_APACHE_SUBSYSTEMS and\
+        if deployer.mdict['pki_subsystem'] in config.PKI_APACHE_SUBSYSTEMS and\
            deployer.instance.apache_instance_subsystems() >= 1:
             deployer.systemd.start()
-        elif deployer.master_dict['pki_subsystem'] in config.PKI_TOMCAT_SUBSYSTEMS and\
+        elif deployer.mdict['pki_subsystem'] in config.PKI_TOMCAT_SUBSYSTEMS and\
            len(deployer.instance.tomcat_instance_subsystems()) >= 1:
             deployer.systemd.start()
         config.pki_log.info(log.PKIDESTROY_END_MESSAGE_2,
-                            deployer.master_dict['pki_subsystem'],
-                            deployer.master_dict['pki_instance_name'],
+                            deployer.mdict['pki_subsystem'],
+                            deployer.mdict['pki_instance_name'],
                             extra=config.PKI_INDENTATION_LEVEL_0)
         return self.rv
diff --git a/base/server/python/pki/server/deployment/scriptlets/infrastructure_layout.py b/base/server/python/pki/server/deployment/scriptlets/infrastructure_layout.py
index 5427eebcae4470a01717c12eaaf3fd3a3ba81aa2..7a8fa705c9f0ab2a64f2f0186336760d3c95a612 100644
--- a/base/server/python/pki/server/deployment/scriptlets/infrastructure_layout.py
+++ b/base/server/python/pki/server/deployment/scriptlets/infrastructure_layout.py
@@ -31,7 +31,7 @@ class PkiScriptlet(pkiscriptlet.AbstractBasePkiScriptlet):
 
     def spawn(self, deployer):
 
-        if config.str2bool(deployer.master_dict['pki_skip_installation']):
+        if config.str2bool(deployer.mdict['pki_skip_installation']):
             config.pki_log.info(log.SKIP_ADMIN_DOMAIN_SPAWN_1, __name__,
                                 extra=config.PKI_INDENTATION_LEVEL_1)
             return self.rv
@@ -51,32 +51,32 @@ class PkiScriptlet(pkiscriptlet.AbstractBasePkiScriptlet):
         # registry directories for storage of a copy of the original
         # deployment configuration file used to spawn this instance,
         # and save a copy of this file
-        deployer.directory.create(deployer.master_dict['pki_registry_path'])
-        deployer.directory.create(deployer.master_dict['pki_instance_type_registry_path'])
-        deployer.directory.create(deployer.master_dict['pki_instance_registry_path'])
-        deployer.directory.create(deployer.master_dict['pki_subsystem_registry_path'])
-        deployer.file.copy(deployer.master_dict['pki_default_deployment_cfg'],
-                       deployer.master_dict['pki_default_deployment_cfg_replica'])
+        deployer.directory.create(deployer.mdict['pki_registry_path'])
+        deployer.directory.create(deployer.mdict['pki_instance_type_registry_path'])
+        deployer.directory.create(deployer.mdict['pki_instance_registry_path'])
+        deployer.directory.create(deployer.mdict['pki_subsystem_registry_path'])
+        deployer.file.copy(deployer.mdict['pki_default_deployment_cfg'],
+                       deployer.mdict['pki_default_deployment_cfg_replica'])
 
-        print "Storing deployment configuration into " + deployer.master_dict['pki_user_deployment_cfg_replica'] + "."
+        print "Storing deployment configuration into " + deployer.mdict['pki_user_deployment_cfg_replica'] + "."
 
         # Archive the user deployment configuration excluding the sensitive parameters
-        sensitive_parameters = deployer.master_dict['sensitive_parameters'].split()
+        sensitive_parameters = deployer.mdict['sensitive_parameters'].split()
         sections = config.user_config.sections()
         for s in sections:
             for k in sensitive_parameters:
                 config.user_config.set(s, k, 'XXXXXXXX')
-        with open(deployer.master_dict['pki_user_deployment_cfg_replica'], 'w') as f:
+        with open(deployer.mdict['pki_user_deployment_cfg_replica'], 'w') as f:
             config.user_config.write(f)
 
         # establish top-level infrastructure, instance, and subsystem
         # base directories and create the "registry" symbolic link that
         # the "pkidestroy" executable relies upon
-        deployer.directory.create(deployer.master_dict['pki_path'])
-        deployer.directory.create(deployer.master_dict['pki_instance_path'])
-        deployer.directory.create(deployer.master_dict['pki_subsystem_path'])
-        deployer.symlink.create(deployer.master_dict['pki_instance_registry_path'],
-                            deployer.master_dict['pki_subsystem_registry_link'])
+        deployer.directory.create(deployer.mdict['pki_path'])
+        deployer.directory.create(deployer.mdict['pki_instance_path'])
+        deployer.directory.create(deployer.mdict['pki_subsystem_path'])
+        deployer.symlink.create(deployer.mdict['pki_instance_registry_path'],
+                            deployer.mdict['pki_subsystem_registry_link'])
         #
         # NOTE:  If "infrastructure_layout" scriptlet execution has been
         #        successfully executed to this point, the "pkidestroy" command
@@ -85,11 +85,11 @@ class PkiScriptlet(pkiscriptlet.AbstractBasePkiScriptlet):
         # no need to establish top-level infrastructure logs
         # since it now stores 'pkispawn'/'pkidestroy' logs
         # and will already exist
-        # deployer.directory.create(deployer.master_dict['pki_log_path'])
+        # deployer.directory.create(deployer.mdict['pki_log_path'])
         # establish top-level infrastructure configuration
-        if deployer.master_dict['pki_configuration_path'] != \
+        if deployer.mdict['pki_configuration_path'] != \
            config.PKI_DEPLOYMENT_CONFIGURATION_ROOT:
-            deployer.directory.create(deployer.master_dict['pki_configuration_path'])
+            deployer.directory.create(deployer.mdict['pki_configuration_path'])
         return self.rv
 
     def destroy(self, deployer):
@@ -97,18 +97,18 @@ class PkiScriptlet(pkiscriptlet.AbstractBasePkiScriptlet):
         config.pki_log.info(log.ADMIN_DOMAIN_DESTROY_1, __name__,
                             extra=config.PKI_INDENTATION_LEVEL_1)
         # remove top-level infrastructure base
-        if deployer.master_dict['pki_subsystem'] in config.PKI_SUBSYSTEMS and\
+        if deployer.mdict['pki_subsystem'] in config.PKI_SUBSYSTEMS and\
            deployer.instance.pki_instance_subsystems() == 0:
             # remove top-level infrastructure base
-            deployer.directory.delete(deployer.master_dict['pki_path'])
+            deployer.directory.delete(deployer.mdict['pki_path'])
             # do NOT remove top-level infrastructure logs
             # since it now stores 'pkispawn'/'pkidestroy' logs
-            # deployer.directory.delete(deployer.master_dict['pki_log_path'])
+            # deployer.directory.delete(deployer.mdict['pki_log_path'])
             # remove top-level infrastructure configuration
-            if deployer.directory.is_empty(deployer.master_dict['pki_configuration_path'])\
-               and deployer.master_dict['pki_configuration_path'] != \
+            if deployer.directory.is_empty(deployer.mdict['pki_configuration_path'])\
+               and deployer.mdict['pki_configuration_path'] != \
                config.PKI_DEPLOYMENT_CONFIGURATION_ROOT:
-                deployer.directory.delete(deployer.master_dict['pki_configuration_path'])
+                deployer.directory.delete(deployer.mdict['pki_configuration_path'])
             # remove top-level infrastructure registry
-            deployer.directory.delete(deployer.master_dict['pki_registry_path'])
+            deployer.directory.delete(deployer.mdict['pki_registry_path'])
         return self.rv
diff --git a/base/server/python/pki/server/deployment/scriptlets/initialization.py b/base/server/python/pki/server/deployment/scriptlets/initialization.py
index d9d1d2d7b5e81a7273ad4a44e9c8d30dfdf00575..876030b45396f84344f0e9693dfc4d65f78dc48e 100644
--- a/base/server/python/pki/server/deployment/scriptlets/initialization.py
+++ b/base/server/python/pki/server/deployment/scriptlets/initialization.py
@@ -33,23 +33,23 @@ class PkiScriptlet(pkiscriptlet.AbstractBasePkiScriptlet):
 
         # begin official logging
         config.pki_log.info(log.PKISPAWN_BEGIN_MESSAGE_2,
-                            deployer.master_dict['pki_subsystem'],
-                            deployer.master_dict['pki_instance_name'],
+                            deployer.mdict['pki_subsystem'],
+                            deployer.mdict['pki_instance_name'],
                             extra=config.PKI_INDENTATION_LEVEL_0)
-        if config.str2bool(deployer.master_dict['pki_skip_installation']):
+        if config.str2bool(deployer.mdict['pki_skip_installation']):
             config.pki_log.info(log.SKIP_INITIALIZATION_SPAWN_1, __name__,
                                 extra=config.PKI_INDENTATION_LEVEL_1)
             return self.rv
         else:
             config.pki_log.info(log.INITIALIZATION_SPAWN_1, __name__,
                                 extra=config.PKI_INDENTATION_LEVEL_1)
-            if (deployer.master_dict['pki_subsystem'] == "CA" or
-                config.str2bool(deployer.master_dict['pki_standalone'])) and\
-               config.str2bool(deployer.master_dict['pki_external_step_two']):
+            if (deployer.mdict['pki_subsystem'] == "CA" or
+                config.str2bool(deployer.mdict['pki_standalone'])) and\
+               config.str2bool(deployer.mdict['pki_external_step_two']):
                 # verify that this External CA (Step 2), or Stand-alone PKI
                 # (Step 2) currently EXISTS for this "instance"
                 deployer.instance.verify_subsystem_exists()
-                deployer.master_dict['pki_skip_installation'] = "True"
+                deployer.mdict['pki_skip_installation'] = "True"
             else:
                 # verify that this type of "subsystem" does NOT yet
                 # exist for this "instance"
@@ -57,10 +57,10 @@ class PkiScriptlet(pkiscriptlet.AbstractBasePkiScriptlet):
                 # detect and avoid any namespace collisions
                 deployer.namespace.collision_detection()
         # initialize 'uid' and 'gid'
-        deployer.identity.add_uid_and_gid(deployer.master_dict['pki_user'], deployer.master_dict['pki_group'])
+        deployer.identity.add_uid_and_gid(deployer.mdict['pki_user'], deployer.mdict['pki_group'])
         # establish 'uid' and 'gid'
-        deployer.identity.set_uid(deployer.master_dict['pki_user'])
-        deployer.identity.set_gid(deployer.master_dict['pki_group'])
+        deployer.identity.set_uid(deployer.mdict['pki_user'])
+        deployer.identity.set_gid(deployer.mdict['pki_group'])
         # verify existence of SENSITIVE configuration file data
         deployer.configuration_file.verify_sensitive_data()
         # verify existence of MUTUALLY EXCLUSIVE configuration file data
@@ -76,8 +76,8 @@ class PkiScriptlet(pkiscriptlet.AbstractBasePkiScriptlet):
 
         # begin official logging
         config.pki_log.info(log.PKIDESTROY_BEGIN_MESSAGE_2,
-                            deployer.master_dict['pki_subsystem'],
-                            deployer.master_dict['pki_instance_name'],
+                            deployer.mdict['pki_subsystem'],
+                            deployer.mdict['pki_instance_name'],
                             extra=config.PKI_INDENTATION_LEVEL_0)
         config.pki_log.info(log.INITIALIZATION_DESTROY_1, __name__,
                             extra=config.PKI_INDENTATION_LEVEL_1)
@@ -88,8 +88,8 @@ class PkiScriptlet(pkiscriptlet.AbstractBasePkiScriptlet):
         # that are present in the corresponding configuration file
         deployer.configuration_file.verify_command_matches_configuration_file()
         # establish 'uid' and 'gid'
-        deployer.identity.set_uid(deployer.master_dict['pki_user'])
-        deployer.identity.set_gid(deployer.master_dict['pki_group'])
+        deployer.identity.set_uid(deployer.mdict['pki_user'])
+        deployer.identity.set_gid(deployer.mdict['pki_group'])
         # get ports to remove selinux context
         deployer.configuration_file.populate_non_default_ports()
 
